osmium::object_equal_type_id Struct Reference

`#include <object_comparisons.hpp>`

## Public Member Functions

bool | operator() (const osmium::OSMObject &lhs, const osmium::OSMObject &rhs) const noexcept
bool | operator() (const osmium::OSMObject *lhs, const osmium::OSMObject *rhs) const noexcept

## Detailed Description

Function object class for comparing OSM objects for equality by type and id, ignoring the version.

## Member Function Documentation

bool osmium::object_equal_type_id::operator() | ( | const osmium::OSMObject & | lhs,
|  | const osmium::OSMObject & | rhs
| ) |  | const

inline noexcept

bool osmium::object_equal_type_id::operator() | ( | const osmium::OSMObject * | lhs,
|  | const osmium::OSMObject * | rhs
| ) |  | const

inline noexcept

The documentation for this struct was generated from the following file:

- osmium/osm/object_comparisons.hpp